/*
 * $Id: findworddlg.cpp,v 1.2 2000/05/25 11:15:09 hige Exp $
 *
 * Copyright (C) 1999 SUZUKI, Mitsuhiro <hige@higesoft.rim.or.jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include <kapp.h>

#include <qpushbutton.h>
#include <qgroupbox.h>

#include "findworddlg.h"

KFindWordDlg::KFindWordDlg(QWidget *parent, const char *name)
    : QDialog(parent, name, FALSE)
{
    this->setFocusPolicy(QWidget::StrongFocus);
    m_frame = new QGroupBox(i18n("Find"), this, "frame");
    CHECK_PTR(m_frame);
    
    m_value = new QLineEdit(this, "value");
    CHECK_PTR(m_value);
    m_value->setFocus();
    connect(m_value, SIGNAL(returnPressed()), this, SLOT(slotOk()));

    m_sensitive = new QCheckBox(i18n("Case Sensitive"), this, "case");
    CHECK_PTR(m_sensitive);

    m_ok = new QPushButton(i18n("Find"), this, "find");
    CHECK_PTR(m_ok);
    connect(m_ok, SIGNAL(clicked()), this, SLOT(slotOk()));

    m_cancel = new QPushButton(i18n("Done"), this, "cancel");
    CHECK_PTR(m_cancel);
    connect(m_cancel, SIGNAL(clicked()), this, SLOT(slotDone()));

    setFixedSize(330, 130);

}
void KFindWordDlg::slotOk()
{
  QString text;

  text = m_value->text();

  if (!text.isEmpty())
    emit sigSearch();
}
void KFindWordDlg::resizeEvent(QResizeEvent *ev)
{
    m_frame->setGeometry(5, 5, width() - 10, 80);
    m_cancel->adjustSize();
    m_cancel->setGeometry(width() - 80, height() - 30,
                          m_cancel->width(), m_cancel->height());
    m_ok->adjustSize();
    m_ok->setGeometry(10, height() - 30,
                      m_ok->width(), m_ok->height());
    m_value->setGeometry(20, 25, width() - 40, 25);
    m_sensitive->adjustSize();
    m_sensitive->setGeometry(20, 55,
                             m_sensitive->width(),
                             m_sensitive->height());
}

#include "findworddlg.moc"

//
// $Log: findworddlg.cpp,v $
// Revision 1.2  2000/05/25 11:15:09  hige
// o Fix a bug of finding the word in a page.
// o etc...
//
// Revision 1.1  2000/04/27 17:42:26  hige
// o Add dialog for editing accelarator keybinds.
// o Change INSERT_MARK from '\\' to '\a'
// o etc...
//
//
