/*
 * $Id: resultview.h,v 1.9 2000/05/25 11:15:10 hige Exp $
 *
 * Copyright (C) 1999 SUZUKI, Mitsuhiro <hige@higesoft.rim.or.jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifndef KDEBOOK_RESULTVIEW_HPP
#define KDEBOOK_RESULTVIEW_HPP

#include <string>
#include <htmlview.h>

class KResultView : public KHTMLView
{
    Q_OBJECT
public:
    //======== Constructor/Destructor ========//
    KResultView(int fontsize,
                QWidget *_parent = 0L, const char *_name = 0L,
                int _flags = 0,
                KResultView *_parent_view = 0L );
    virtual ~KResultView();
    virtual KHTMLView* newView(int fontsize,
                               QWidget *_parent, const char *_name,
                               int _flags )
        {return new KResultView(fontsize, _parent, _name, _flags);}
    virtual bool mousePressedHook(const char* _url, const char *_target,
                                      QMouseEvent *_ev, bool _isselected);
    virtual bool mouseReleaseHook( QMouseEvent *_ev );
    void printContent(const string& title, const string& content,
                      const char* row_start,
                      const char* row_end);
    int offsetVertical() {return m_offset_vert;}
    
public slots:
    void slotScrollVert(int y);
    void slotScrollVertUp();
    void slotScrollVertDown();
    void slotPageUp();
    void slotPageDown();
    
private slots:    
    void slotChangeWidgetColor();

signals:
    void clickLink(int page, long offset);
    
private:
    int m_wrapcol;
    int m_margin;
    int m_offset_vert;
    int m_fontsize;
};

#endif /* KEBOOK_RESULTVIEW */
